package com.czg.system.service;

import com.czg.system.dto.SysDevicesDTO;
import com.czg.system.dto.SysDevicesPageDTO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.system.entity.SysDevices;

/**
 * 设备管理 服务层。
 *
 * @author ww
 * @since 2025-11-24
 */
public interface SysDevicesService extends IService<SysDevices> {

    Long addDevice(SysDevicesDTO reqDTO);

    Long updateDevice(SysDevicesDTO reqDTO);

    Long deleteDevice(Long id);

    Page<SysDevicesDTO> queryDevicePage(SysDevicesPageDTO reqDTO);

    void updateDeviceOnlineStatus(String sn, Integer online);
}
